import {
  UserChange
} from "./chunk-EGAFGAOG.js";
import {
  DeviceConfiguration_default
} from "./chunk-2MQ7XLBC.js";
import {
  FallbackComponent_default
} from "./chunk-4HUJEAGX.js";
import {
  FileTransfer_default
} from "./chunk-GEM7KZTI.js";
import {
  PortForward_default
} from "./chunk-Z3QZKHPP.js";
import {
  TerminalSession_default
} from "./chunk-G7H324SH.js";

// src/auditlogs/EventDetailsDrawerContentMap.tsx
var changeTypes = {
  user: "user",
  device: "device",
  tenant: "tenant"
};
var configChangeDescriptor = {
  set_configuration: "definition",
  deploy_configuration: "deployment"
};
var EventDetailsDrawerContentMap = (item, FallbackComponent = FallbackComponent_default) => {
  const { type } = item.object || {};
  let content = { title: "Entry details", content: FallbackComponent };
  if (type === changeTypes.user) {
    content = { title: `${item.action}d user`, content: UserChange };
  } else if (type === changeTypes.device && item.action.includes("terminal")) {
    content = { title: "Remote session log", content: TerminalSession_default };
  } else if (type === changeTypes.device && item.action.includes("file")) {
    content = { title: "File transfer", content: FileTransfer_default };
  } else if (type === changeTypes.device && item.action.includes("portforward")) {
    content = { title: "Port forward", content: PortForward_default };
  } else if (type === changeTypes.device && item.action.includes("configuration")) {
    content = { title: `Device configuration ${configChangeDescriptor[item.action] || ""}`, content: DeviceConfiguration_default };
  } else if (type === changeTypes.device) {
    content = { title: "Device change", content: FallbackComponent };
  } else if (type === changeTypes.tenant) {
    content = { title: `${item.action}d tenant`, content: UserChange };
  }
  return content;
};
var EventDetailsDrawerContentMap_default = EventDetailsDrawerContentMap;

export {
  EventDetailsDrawerContentMap_default
};
//# sourceMappingURL=chunk-FQ72N7DY.js.map